/[suikacvs]/test/suikawebwww/style/html/xhtml1.css
Suika

Contents of /test/suikawebwww/style/html/xhtml1.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.27 - (show annotations) (download) (as text)
Sat Oct 11 12:04:06 2008 UTC (17 years, 9 months ago) by wakaba
Branch: MAIN
Changes since 1.26: +3 -3 lines
File MIME type: text/css
*** empty log message ***

1 @charset 'iso-2022-jp';
2 @namespace 'http://www.w3.org/1999/xhtml';
3 @namespace xml 'http://www.w3.org/XML/1998/namespace';
4
5 html {
6 display: block;
7 line-height: 2.0;
8 }
9 head {
10 display: none;
11 }
12
13 body {
14 display: block;
15 margin: 1em 1.5em;
16 }
17
18 blockquote, table {
19 margin: 1em 2em;
20 }
21
22 h1, h2, h3, h4, h5, h6 {
23 display: block;
24 line-height: 1.5;
25 font-size: 120%;
26 font-weight: bolder;
27 font-family: sans-serif;
28 text-align: left;
29 }
30
31 @media print {
32 h1, h2, h3, h4, h5, h6 {
33 page-break-after: avoid;
34 }
35 }
36
37 h1 {
38 text-align: center;
39 font-size: 140%;
40 }
41
42 h3:before {
43 content: "\0025B6" " ";
44 }
45
46 h4:before {
47 content: "\0025B7" " ";
48 }
49
50 p {
51 display: block;
52 text-indent: 1em;
53 margin: 0 1em;
54 text-align: justify;
55 }
56 p:lang(en) {
57 text-indent: 2em;
58 }
59
60 ul, ol, dl {
61 display: block;
62 margin: 1em;
63 padding: 0;
64 }
65
66 p + ul, p + ol, p + dl,
67 p > ul, p > ol, p > dl {
68 margin-left: 3em;
69 }
70
71 dt, li {
72 display: list-item;
73 margin-left: 1em;
74 padding-left: 0.5em;
75 text-indent: 0;
76 text-align: justify;
77 }
78 ul li {
79 list-style: disc;
80 }
81 dt dt, ul li ul li {
82 list-style: square;
83 }
84 ol li {
85 list-style: decimal;
86 }
87 ol li ol li {
88 list-style: lower-alpha;
89 }
90
91 li > ul:first-child, li > ol:first-child, li > dl:first-child,
92 dd > ul:first-child, dd > ol:first-child, dd > dl:first-child {
93 margin-top: 0;
94 }
95
96 li > ul:last-child, li > ol:last-child, li > dl:last-child,
97 dd > ul:last-child, dd > ol:last-child, dd > dl:last-child {
98 margin-bottom: 0;
99 }
100
101 dt {
102 font-weight: normal;
103 list-style: disc;
104 }
105
106 dd {
107 display: block;
108 margin-left: 3em;
109 padding-left: 0;
110 list-style-type: none;
111 }
112
113 @media print {
114 dt {
115 page-break-after: avoid;
116 }
117 dd {
118 page-break-before: avoid;
119 }
120 }
121
122 ul > li:first-child:last-child {
123 list-style: disc;
124 }
125
126 li > p:first-child,
127 dd > p:first-child {
128 text-indent: 0;
129 }
130
131 blockquote {
132 display: block;
133 border-left: 1em double rgb(204, 0, 0);
134 padding-left: 1em;
135 }
136
137 blockquote > cite {
138 display: block;
139 margin-right: 2em;
140 text-align: right;
141 }
142 /* XML Alternate: H3|credit */
143
144 blockquote > cite:before {
145 display: inline;
146 content: "$B!=!=(B " !important;
147 }
148 blockquote > cite:after {
149 display: inline;
150 content: "" !important;
151 }
152
153 table {
154 margin-left: auto;
155 margin-right: auto;
156 }
157
158 /* Physical Blocks */
159
160 pre {
161 display: block;
162 margin: 0 1em;
163 overflow: auto;
164 font-family: "Courier New", "Courier", monospace;
165 }
166
167 /* Phrase */
168
169 code {
170 font-family: "Courier New", "Courier", monospace;
171 letter-spacing: 0.1em;
172 background-color: transparent;
173 color: orangered;
174 }
175
176 var {
177 border-bottom-style: solid;
178 border-bottom-width: 1px;
179 padding-bottom: 0.025em;
180 font-style: normal;
181 text-decoration: none;
182 }
183 var:lang(en) {
184 border-bottom-style: none;
185 font-family: "Times New Roman", serif;
186 font-style: italic;
187 text-decoration: none;
188 }
189
190 dfn:lang(en) > var:lang(en):only-child {
191 font-style: inherit;
192 }
193
194 /* Abbrevitions */
195 abbr[title] {
196 border-style: none;
197 text-transform: none;
198 font-variant: normal;
199 font-style: normal;
200 font-size: 100%;
201 }
202
203 dfn:lang(en) abbr[title] {
204 font-style: italic;
205 }
206
207 @media screen {
208 abbr[title] {
209 border-bottom: 1px dotted #FF0080;
210 padding-bottom: 0.025em;
211 cursor: help;
212 }
213 }
214
215 /* Defining Instances */
216 dfn {
217 font-style: normal;
218 font-weight: bolder;
219 /* font-family: sans-serif; */
220 font-size: 100%;
221 }
222 dfn:lang(en) {
223 font-style: italic;
224 font-weight: normal;
225 /* font-family: "Times New Roman", "Times", serif; */
226 }
227
228 dfn:lang(en) dfn:lang(en) {
229 font-style: normal;
230 }
231
232 dfn:lang(en) em {
233 font-style: normal;
234 }
235
236 /* One of the last resorts */
237 i:lang(en) {
238 font-style: italic;
239 text-decoration: none;
240 }
241
242 /* Term instance (HTML5) */
243 /* Though this definition is now obsolete, some old documents
244 have used it. */
245 i {
246 border-style: none;
247 font-style: normal;
248 font-size: 100%;
249 text-decoration: none;
250 }
251
252 /* Inputs */
253 kbd {
254 margin: 0 0.3em;
255 border: dotted #C0C0C0 1px;
256 padding: 0.2em 0.3em;
257 font-family: "Courier New", "Courier", monospace;
258 font-size: 100%;
259 line-height: 1.1;
260 }
261
262 em {
263 border-bottom-style: solid;
264 border-bottom-width: 1px;
265 padding-bottom: 0.03em;
266 font-style: normal;
267 text-decoration: none;
268 font-size: 100%;
269 }
270
271 em:lang(en) {
272 border-bottom-style: none;
273 font-style: italic;
274 text-decoration: none;
275 }
276
277 em:lang(en) :lang(ja) {
278 font-style: normal;
279 }
280
281 strong {
282 font-weight: bolder;
283 font-family: sans-serif;
284 }
285 /* Alternate: h1|em */
286
287 /* HTML5 <mark> */
288 m, mark {
289 text-decoration: underline;
290 }
291 /*
292 NOTE: For compatibility with old documents that use |m| as
293 element names, we keep |m| in the selector as is.
294 */
295
296 /* Citations and quotations */
297
298 /*
299 * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
300 * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
301 */
302
303 :lang(ja) > cite {
304 quotes: none;
305 font-style: normal;
306 }
307 :lang(ja) > cite:before {
308 content: "$B!X(B";
309 }
310 :lang(ja) > cite:after {
311 content: "$B!Y(B";
312 }
313
314 cite:lang(ja) cite {
315 quotes: none;
316 }
317 cite:lang(ja) cite:before { content: "$B!V(B" }
318 cite:lang(ja) cite:after { content: "$B!W(B" }
319
320 [lang|="en"] cite, [xml|lang|="en"] cite {
321 quotes: none;
322 font-style: italic;
323 }
324 [lang|="en"] cite cite, [xml|lang|="en"] cite cite {
325 quotes: none;
326 font-style: normal;
327 }
328 [lang|="en"] cite:before, [xml|lang|="en"] cite:before,
329 [lang|="en"] cite:after, [xml|lang|="en"] cite:after {
330 content: "";
331 content: normal;
332 }
333
334 :lang(ja) > q {
335 quotes: none;
336 }
337 :lang(ja) > q:before {
338 content: " $B!V(B";
339 }
340 :lang(ja) > q:after {
341 content: "$B!W(B ";
342 }
343
344 :lang(ja) > q q:before {
345 content: " $B!X(B";
346 }
347
348 :lang(ja) > q q:after {
349 content: "$B!Y(B ";
350 }
351
352 :lang(en) > q {
353 quotes: none;
354 }
355
356 :lang(en) > q:before {
357 content: " $B!H(B";
358 }
359
360 :lang(en) > q:after {
361 content: "$B!I(B ";
362 }
363
364 /* Tables */
365
366 table {
367 border: 1px solid gray;
368 border-spacing: 0;
369 }
370
371 thead, tfoot, th {
372 font-weight: bolder;
373 font-family: sans-serif;
374 }
375
376 td, th {
377 padding: 0.2em 0.4em;
378 border: 1px solid #E0E0E0;
379 empty-cells: show;
380 }
381
382 th[scope="row"], th[scope="rowgroup"] {
383 text-align: left;
384 border-right: 1px solid #C0C0C0;
385 }
386 th[scope="col"], th[scope="colgroup"] {
387 text-align: center;
388 border-bottom: 1px solid #C0C0C0;
389 }
390
391 /* Subscripts and Superscripts */
392
393 sub {
394 vertical-align: sub;
395 font-size: 80%;
396 }
397 sup {
398 vertical-align: top;
399 font-size: 80%;
400 }
401
402
403 /* Edit */
404
405 ins {
406 border-bottom-style: solid;
407 border-bottom-width: 1px;
408 padding-bottom: 0.03em;
409 background-color: rgb(255, 255, 153);
410 color: black;
411 font-style: normal;
412 text-decoration: none;
413 }
414
415 body > ins {
416 display: block;
417 text-decoration: none;
418 }
419
420 del {
421 background-color: #FFBBBB;
422 color: black;
423 font-size: 80%;
424 text-decoration: line-through;
425 }
426
427 body > del {
428 display: block;
429 }
430
431 /* Footer */
432
433 address {
434 font-style: normal;
435 font-size: 100%;
436 }
437
438 /* Hyperlinks */
439
440 a:link, a:visited {
441 text-decoration: none;
442 border-bottom-style: solid;
443 border-bottom-width: 1px;
444 padding-bottom: 0.05em;
445 }
446
447 [href^="#"]:link, [href^="#"]:visited {
448 text-decoration: none !important;
449 border-bottom: dotted 1px !important;
450 }
451
452 a:hover {
453 background-color: #FFA;
454 color: #000080;
455 }
456
457 /* Forms */
458
459 textarea {
460 vertical-align: top;
461 }
462
463 /* License
464
465 Copyright 2003-2005 Wakaba <[email protected]>.
466
467 This program is free software; you can redistribute it and/or modify
468 it under the terms of the GNU General Public License as published by
469 the Free Software Foundation; either version 2 of the License, or
470 (at your option) any later version.
471
472 This program is distributed in the hope that it will be useful,
473 but WITHOUT ANY WARRANTY; without even the implied warranty of
474 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
475 GNU General Public License for more details.
476
477 You should have received a copy of the GNU General Public License
478 along with this program; see the file COPYING. If not, write to
479 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
480 Boston, MA 02111-1307, USA.
481
482 */
483
484 /* $Date: 2008/09/17 06:18:09 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24